<?php
session_start();

if ($_SESSION['company'] == "") { 
    exit("Please Login");
}
if ($_SESSION['CURRENT_USER'] == "") { 
    exit("Please Login");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Search Account</title> 
	<style type="text/css">
		tfoot input {
			width: 100%;
			padding: 3px;
			box-sizing: border-box;
		}
	</style>
	<link  href="new/vendor/new/multi/jquery.dataTables.min.css" rel="stylesheet" type="text/css"> 
	<script src="new/vendor/new/multi/jquery-3.5.1.js" ></script>
	<script src="new/vendor/new/multi/jquery.dataTables.min.js" ></script>
	
	<script language="JavaScript" src="js/inv_acc.js"></script>
</head>
<body>



	<table id="example" class="display" style="width:100%">
		<thead>
			<tr>
				<th>Account Code</th>
				<th>Account Name</th> 
			</tr>
		</thead>
		<tbody>
			<?php
			$stname = "";
			if (isset($_GET['stname'])) {
				$stname = $_GET["stname"];
			}
			?>
			<input type="hidden" value="" id="cur" />

	 <?php 
							
							include('connectioni.php');
							
						if ($_GET["stname"]=="rec_ent"){
							$sql="select C_CODE, C_NAME from a_lcodes where (CAT='C' AND COMPANY='".$_SESSION['company']."') or (C_CODE='12501' or C_CODE='12503'  )   ORDER BY C_CODE  ";
						} else {
							$sql="select C_CODE, C_NAME from a_lcodes where (CAT='B'  AND  COMPANY='".$_SESSION['company']."') or (C_CODE='12501' or C_CODE='12503'  )  ORDER BY C_CODE  ";
						}
						
						
							$stname = $_GET["stname"];
							$result=mysqli_query($GLOBALS['dbinv'],$sql);
							while($row = mysqli_fetch_array($result)){
								$cuscode = $row["C_CODE"];
								
								
							echo "<tr>               
                              <td onclick=\"ledgno('$cuscode', '$stname');\">".$row['C_CODE']."</a></td>
                              <td onclick=\"ledgno('$cuscode', '$stname');\">".$row['C_NAME']."</a></td>
                         		                              
                            </tr>";
							}
							  ?>

		</tbody>
		<tfoot>
			<tr>
				<th>Account Code</th>
				<th>Account Name</th> 
			</tr>
		</tfoot>
	</table>

</body>
</html>
<script type="text/javascript">
	$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
    	var title = $(this).text();
    	$(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );

    // DataTable
    var table = $('#example').DataTable({
    	
    	lengthChange: true,
    	fixedHeader: true,
    	responsive: true,
    	"deferRender": true,
    	"order": [[ 0, 'desc' ]],
    	lengthMenu: [[ 15, 25, 50,100, -1 ],[ '15 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
    	initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
            	var that = this;

            	$( 'input', this.footer() ).on( 'keyup change clear', function () {
            		if ( that.search() !== this.value ) {
            			that
            			.search( this.value )
            			.draw();
            		}
            	} );
            } );
        }
    });

} );
</script>


 